package com.zd.laboratory.domain.vo;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 信用合格分设置配置详情对象 el_pass_configdetail
 *
 * @author zd
 * @date 2021-12-15
 */
@ApiModel("信用合格分设置配置详情")
public class ElPassConfigdetailVO extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;
    /** 关联信用合格分设置id */
    @ApiModelProperty(value = "关联信用合格分设置id")
    private Long markconfigId;
    /** 分值区间，开始分数 */
    @ApiModelProperty(value = "分值区间，开始分数")
    private Integer beginScore;
    /** 分值区间，结束分数 */
    @ApiModelProperty(value = "分值区间，结束分数")
    private Integer endScore;
    /** 警告：1是打钩，-1是没打勾 */
    @ApiModelProperty(value = "警告：1是打钩，-1是没打勾")
    private Integer warningStatus;
    /** 约谈：1是打钩，-1是没打勾 */
    @ApiModelProperty(value = "约谈：1是打钩，-1是没打勾")
    private Integer interviewStatus;
    /** 考试：1是打钩，-1是没打勾 */
    @ApiModelProperty(value = "考试：1是打钩，-1是没打勾")
    private Integer testStatus;
    /** 学习：1是打钩，-1是没打勾 */
    @ApiModelProperty(value = "学习：1是打钩，-1是没打勾")
    private Integer learnStatus;
    /** 做题：1是打钩，-1是没打勾 */
    @ApiModelProperty(value = "做题：1是打钩，-1是没打勾")
    private Integer practiceStatus;
    /** 处理天数 */
    @ApiModelProperty(value = "处理天数")
    private Integer handleDay;
    /** 学习小时,状态只有学习的时候用 */
    @ApiModelProperty(value = "学习小时,状态只有学习的时候用")
    private Long learnHour;
    /** 学习分钟，状态只有学习的时候用 */
    @ApiModelProperty(value = "学习分钟，状态只有学习的时候用")
    private Long learnMinute;
    /** 题目数量，只有做题的时候才用 */
    @ApiModelProperty(value = "题目数量，只有做题的时候才用")
    private Long numberTopics;
    /** 做题准确率，只有做题的时候才用 */
    @ApiModelProperty(value = "做题准确率，只有做题的时候才用")
    private Long numberAccuracy;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setMarkconfigId(Long markconfigId)
    {
        this.markconfigId = markconfigId;
    }

    public Long getMarkconfigId()
    {
        return markconfigId;
    }
    public void setBeginScore(Integer beginScore)
    {
        this.beginScore = beginScore;
    }

    public Integer getBeginScore()
    {
        return beginScore;
    }
    public void setEndScore(Integer endScore)
    {
        this.endScore = endScore;
    }

    public Integer getEndScore()
    {
        return endScore;
    }
    public void setWarningStatus(Integer warningStatus)
    {
        this.warningStatus = warningStatus;
    }

    public Integer getWarningStatus()
    {
        return warningStatus;
    }
    public void setInterviewStatus(Integer interviewStatus)
    {
        this.interviewStatus = interviewStatus;
    }

    public Integer getInterviewStatus()
    {
        return interviewStatus;
    }
    public void setTestStatus(Integer testStatus)
    {
        this.testStatus = testStatus;
    }

    public Integer getTestStatus()
    {
        return testStatus;
    }
    public void setLearnStatus(Integer learnStatus)
    {
        this.learnStatus = learnStatus;
    }

    public Integer getLearnStatus()
    {
        return learnStatus;
    }
    public void setPracticeStatus(Integer practiceStatus)
    {
        this.practiceStatus = practiceStatus;
    }

    public Integer getPracticeStatus()
    {
        return practiceStatus;
    }
    public void setHandleDay(Integer handleDay)
    {
        this.handleDay = handleDay;
    }

    public Integer getHandleDay()
    {
        return handleDay;
    }
    public void setLearnHour(Long learnHour)
    {
        this.learnHour = learnHour;
    }

    public Long getLearnHour()
    {
        return learnHour;
    }
    public void setLearnMinute(Long learnMinute)
    {
        this.learnMinute = learnMinute;
    }

    public Long getLearnMinute()
    {
        return learnMinute;
    }
    public void setNumberTopics(Long numberTopics)
    {
        this.numberTopics = numberTopics;
    }

    public Long getNumberTopics()
    {
        return numberTopics;
    }

    public Long getNumberAccuracy() {
        return numberAccuracy;
    }

    public void setNumberAccuracy(Long numberAccuracy) {
        this.numberAccuracy = numberAccuracy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("markconfigId", getMarkconfigId())
            .append("beginScore", getBeginScore())
            .append("endScore", getEndScore())
            .append("warningStatus", getWarningStatus())
            .append("interviewStatus", getInterviewStatus())
            .append("testStatus", getTestStatus())
            .append("learnStatus", getLearnStatus())
            .append("practiceStatus", getPracticeStatus())
            .append("handleDay", getHandleDay())
            .append("learnHour", getLearnHour())
            .append("learnMinute", getLearnMinute())
            .append("numberTopics", getNumberTopics())
            .append("numberAccuracy", getNumberAccuracy())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
